$ErrorActionPreference = 'Stop';

$packageName = 'teamviewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.teamviewer.com/download/version_11x/TeamViewer_Setup.exe'
$url64      = 'https://download.teamviewer.com/download/version_11x/TeamViewer_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'teamviewer*'

  checksum      = '193c2a6d5fbc1912506f34c2e9e3c4f771fb37bd706489a89596b3e624bc8351'
  checksumType  = 'sha256'
  checksum64    = '193c2a6d5fbc1912506f34c2e9e3c4f771fb37bd706489a89596b3e624bc8351'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
